<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2023 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

namespace Akeeba\Component\ATS\Administrator\Controller;

defined('_JEXEC') or die;

use Akeeba\Component\ATS\Administrator\Mixin\ControllerEventsTrait;
use Akeeba\Component\ATS\Administrator\Mixin\ControllerRegisterTasksTrait;
use Akeeba\Component\ATS\Administrator\Mixin\ControllerReturnURLTrait;
use Akeeba\Component\ATS\Administrator\Mixin\ControllerReusableModelsTrait;
use Akeeba\Component\ATS\Administrator\View\Cannedreply\HtmlView;
use Joomla\CMS\MVC\Controller\AdminController;

class CannedrepliesController extends AdminController
{
	use ControllerEventsTrait;
	use ControllerReusableModelsTrait;
	use ControllerReturnURLTrait;
	use ControllerRegisterTasksTrait;

	/** @inheritdoc */
	protected $text_prefix = 'COM_ATS_CANNEDREPLIES';

	public function display($cachable = false, $urlparams = [])
	{
		$layout = $this->input->getCmd('layout', 'default');
		$editor = $this->input->getCmd('editor', '');

		if ($layout === 'modal')
		{
			/** @var HtmlView $view */
			$view         = $this->getView();
			$view->editor = $editor;
		}

		return parent::display($cachable, $urlparams);
	}

	/** @inheritdoc */
	public function getModel($name = 'Cannedreply', $prefix = 'Administrator', $config = ['ignore_request' => true])
	{
		return parent::getModel($name, $prefix, $config);
	}
}