<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2023 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

namespace Akeeba\Component\ATS\Administrator\MailAuthentication;

defined('_JEXEC') or die;

/**
 * Gmail / GSuite Email authentication service
 *
 * @since  5.0.0
 */
class Gmail extends AbstractMailAuthentication
{
	public function __construct()
	{
		$this->name       = 'gmail';
		$this->scopes     = ['https://mail.google.com/', ''];
		$this->urlConsent = 'https://accounts.google.com/o/oauth2/v2/auth';
		$this->urlToken   = 'https://www.googleapis.com/oauth2/v4/token';
	}
}