<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2023 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

namespace Akeeba\Component\ATS\Administrator\View\Timecard;

defined('_JEXEC') or die;

use Akeeba\Component\ATS\Administrator\Helper\Permissions;
use Akeeba\Component\ATS\Administrator\Model\TimecardModel;
use Joomla\CMS\Date\Date;
use Joomla\CMS\Language\Text;
use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;
use Joomla\CMS\Toolbar\ToolbarHelper;

class HtmlView extends BaseHtmlView
{
	/**
	 * Start date for the report
	 *
	 * @var   Date|null
	 * @since 5.0.0
	 */
	public $from;

	/**
	 * End date for the report
	 *
	 * @var   Date|null
	 * @since 5.0.0
	 */
	public $to;

	/**
	 * The information to display
	 *
	 * @var   array
	 * @since 5.0.0
	 */
	public $timeCards;

	public function display($tpl = null)
	{
		/** @var TimecardModel $model */
		$model = $this->getModel();
		$this->timeCards = $model->getTimeCards($this->from, $this->to);

		ToolbarHelper::title(Text::_('COM_ATS_TITLE_TIMECARD'), 'icon-ats');

		parent::display($tpl);
	}

}