<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2023 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

defined('_JEXEC') or die;

/** @var \Akeeba\Component\ATS\Administrator\View\Authenticate\HtmlView $this */

use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;

Text::script('ERROR');
Text::script('MESSAGE');
Text::script('COM_ATS_AUTHENTICATE_LBL_TOKEN_COPY_SUCCESS');
Text::script('COM_ATS_AUTHENTICATE_LBL_TOKEN_COPY_FAIL');

Factory::getApplication()->getDocument()->getWebAssetManager()
	->useScript('com_ats.token');

?>

<div class="card m-2 border-success border-1">
	<h3 class="card-header bg-success text-white">
		<?= Text::_('COM_ATS_AUTHENTICATE_LBL_TITLE_SUCCESS') ?>
	</h3>
	<div class="card-body">
		<p>
			<?= Text::_('COM_ATS_AUTHENTICATE_LBL_ALMOST_THERE') ?>
		</p>

		<form>
			<div class="row mb-3">
				<label for="access_token" class="col-sm-3 col-form-label">
					<?= Text::_('COM_ATS_AUTHENTICATE_LBL_ACCESS') ?>
				</label>
				<div class="col-sm-9">
					<div class="input-group">
						<input
								type="text"
								class="form-control"
								name="access_token"
								id="access_token"
								readonly
								value="<?= $this->escape($this->accessToken) ?>" />
						<button
								class="btn btn-primary token-copy"
								type="button"
								title="<?= Text::_('COM_ATS_AUTHENTICATE_LBL_COPY_ACCESS_TOKEN') ?>"
						>
							<span class="fa fa-clipboard" aria-hidden="true"></span>
							<span class="visually-hidden"><?= Text::_('COM_ATS_AUTHENTICATE_LBL_COPY_ACCESS_TOKEN') ?></span>
						</button>
					</div>
				</div>
			</div>
			<div class="row mb-3">
				<label for="refresh_token" class="col-sm-3 col-form-label">
					<?= Text::_('COM_ATS_AUTHENTICATE_LBL_REFRESH') ?>
				</label>
				<div class="col-sm-9">
					<div class="input-group">
						<input
								type="text"
								class="form-control"
								name="refresh_token"
								id="refresh_token"
								readonly
								value="<?= $this->escape($this->refreshToken) ?>" />
						<button
								class="btn btn-primary token-copy"
								type="button"
								title="<?= Text::_('COM_ATS_AUTHENTICATE_LBL_COPY_REFRESH_TOKEN') ?>"
						>
							<span class="fa fa-clipboard" aria-hidden="true"></span>
							<span class="visually-hidden"><?= Text::_('COM_ATS_AUTHENTICATE_LBL_COPY_REFRESH_TOKEN') ?></span>
						</button>
					</div>
				</div>
			</div>
		</form>

		<p>
			<?= Text::_('COM_ATS_AUTHENTICATE_LBL_CLOSE_DONE') ?>
		</p>
	</div>
</div>
