<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2023 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

defined('_JEXEC') or die;

/** @var \Akeeba\Component\ATS\Administrator\View\Authenticate\HtmlView $this */

use Joomla\CMS\Language\Text;

$additionalInfoKey = sprintf('COM_ATS_AUTHENTICATE_LBL_ERROR_%s_MOREINFO', strtoupper($this->service));
$additionalInfo = Text::_($additionalInfoKey);

if ($additionalInfo === $additionalInfoKey)
{
	$additionalInfo = null;
}

?>

<div class="card m-2 border-danger border-1">
	<h3 class="card-header bg-danger text-white">
		<?= Text::_('COM_ATS_AUTHENTICATE_LBL_TITLE_ERROR') ?>
	</h3>
	<div class="card-body">
		<p>
			<?= Text::_('COM_ATS_AUTHENTICATE_LBL_ERROR_AUTHENTICATING') ?>
		</p>

		<p>
			<strong><?= Text::_('COM_ATS_AUTHENTICATE_LBL_ERROR_CODE') ?></strong>
			<br />
			<code><?= $this->escape($this->error) ?></code>
		</p>
		<?php if (!empty($this->errorDescription)): ?>
		<p>
			<strong><?= Text::_('COM_ATS_AUTHENTICATE_LBL_ERROR_MESSAGE') ?></strong>
			<br />
			<?= $this->escape($this->errorDescription) ?>
		</p>
		<?php endif ?>

		<?php if ($additionalInfo): ?>
		<p class="text-muted">
			<?= $additionalInfo ?>
		</p>
		<?php endif; ?>

		<p class="muted">
			<?= Text::_('COM_ATS_AUTHENTICATE_LBL_ERROR_NEXT_STEPS') ?>
		</p>
	</div>
</div>
