<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2023 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

defined('_JEXEC') or die;

/** @var \Akeeba\Component\ATS\Administrator\View\Cannedreply\HtmlView $this */

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;

HTMLHelper::_('behavior.formvalidator');

?>
<form action="<?php echo Route::_('index.php?option=com_ats&view=cannedreply&layout=edit&id=' . $this->item->id); ?>"
      aria-label="<?= Text::_('COM_ATS_TITLE_CANNEDREPLIES_EDIT', true) ?>"
      class="form-validate" id="cannedreply-form" method="post" name="adminForm">

	<?php foreach ($this->form->getFieldsets() as $fieldset => $info): ?>
	<div class="card mb-3">
		<h3 class="card-header bg-info text-white">
			<?= Text::_($info->label) ?>
		</h3>
		<div class="card-body">
			<?php foreach ($this->form->getFieldset($fieldset) as $field): ?>
				<?= $field->renderField(); ?>
			<?php endforeach; ?>
		</div>
	</div>
	<?php endforeach ?>

	<input type="hidden" name="task" value="">
	<?php echo HTMLHelper::_('form.token'); ?>
</form>
