<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2023 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Uri\Uri;

/** @var  \Akeeba\Component\ATS\Administrator\View\Log\HtmlView  $this */

HTMLHelper::_('formbehavior.chosen');
?>

<?php if(isset($this->logs) && count($this->logs)): ?>
<form name="adminForm" id="adminForm" action="index.php" method="post" class="card card-body">
	<div class="row row-cols-lg-auto g-3 align-items-center">
		<div class="col-12">
			<label for="filename" class="visually-hidden"><?= Text::_('COM_ATS_LOG_CHOOSE_FILE_TITLE') ?></label>
			<?= HTMLHelper::_('select.genericlist', $this->logs, 'filename', 'class="advancedSelect atsCommonEventsOnChangeSubmit form-select"', 'value', 'text', $this->filename) ?>
		</div>
		<?php if (!empty($this->filename)): ?>
		<div class="col-12">
			<a class="btn btn-primary"
			   href="<?= Uri::base() ?>index.php?option=com_ats&view=Log&task=download&filename=<?= urlencode($this->filename) ?>">
				<span class="fa fa-download"></span>
				<?= Text::_('COM_ATS_LOG_LABEL_DOWNLOAD') ?>
			</a>
		</div>
	<?php endif ?>
	</div>

	<input name="option" value="com_ats" type="hidden" />
	<input name="view" value="log" type="hidden" />
	<?= HTMLHelper::_('form.token') ?>
</form>
<?php endif ?>

<?php if(!empty($this->filename)): ?>
    <?php if ($this->logTooBig): ?>
        <div class="alert alert-warning" id="ats-logsize-warning">
            <p>
				<?= Text::sprintf('COM_ATS_LOG_SIZE_WARNING', number_format($this->logSize / (1024 * 1024), 2)) ?>
            </p>
			<p>
				<button type="button"
						class="btn btn-dark" id="showlog"
				>
					<?= Text::_('COM_ATS_LOG_SHOW_LOG') ?>
				</button>
			</p>
        </div>
    <?php endif ?>

    <div id="iframe-holder" class="akeeba-panel--primary" style="display: <?= $this->logTooBig ? 'none' : 'block' ?>;">
		<?php if(!$this->logTooBig): ?>
            <iframe
                src="index.php?option=com_ats&view=Log&task=iframe&format=raw&filename=<?= urlencode($this->filename) ?>"
                width="99%" height="400px">
            </iframe>
		<?php endif ?>
    </div>
<?php endif ?>