<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2023 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

defined('_JEXEC') or die;

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;

/** @var \Akeeba\Component\ATS\Administrator\View\Scheduling\HtmlView $this */

?>

<h3>
	<?= Text::_('COM_ATS_SCHEDULINGING_LBL_CRON_HEADER') ?>
</h3>

<p>
	<?= Text::_('COM_ATS_SCHEDULINGING_LBL_CRON_INFO') ?>
</p>

<form action="index.php" method="post" id="adminForm" class="my-3 pt-3 px-3 border rounded-2">
	<div class="row">
		<label for="commandName" class="col-sm-3 col-form-label">
			<?= Text::_('COM_ATS_SCHEDULINGINFO_LBL_COMMANDNAMEGENERIC_LABEL') ?>
		</label>
		<div class="col sm-9">
			<?= HTMLHelper::_('select.genericlist', $this->getCRONCommandOptions(), 'commandName', ['list.translate' => true, 'list.attr'=>['class' => 'atsCommonEventsOnChangeSubmit form-select'], 'list.select' => $this->selectedCRONCommand]) ?>

			<p class="form-text">
				<?php if ($this->selectedCRONCommand !== 'commandName'): ?>
					<code><?= $this->escape($this->selectedCRONCommand) ?></code>
				<?php endif ?>
				<?= $this->commandHelpText ?>
			</p>
		</div>
	</div>

	<input type="hidden" name="option" value="com_ats">
	<input type="hidden" name="view" value="scheduling">
	<?= HTMLHelper::_('form.token') ?>
</form>

<?= $this->loadTemplate('cron_cli') ?>

<?= $this->loadTemplate('cron_frontend') ?>