<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2023 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

defined('_JEXEC') or die;

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;

/** @var \Akeeba\Component\ATS\Administrator\View\Scheduling\HtmlView $this */

?>
<div class="card border-info mb-3">
	<h3 class="card-header bg-info text-white">
		<?= Text::_('COM_ATS_SCHEDULINGINFO_LBL_CLICRON') ?>
	</h3>

	<div class="card-body">
		<div class="akeeba-block--info">
			<p>
				<?= Text::_('COM_ATS_SCHEDULINGINFO_LBL_CLICRON_INFO') ?>
			</p>
			<p>
				<a class="btn btn-primary"
				   href="https://www.akeeba.com/documentation/ats-for-joomla/cron.html#cron-cli"
				   target="_blank">
					<?= Text::_('COM_ATS_SCHEDULINGINFO_LBL_GENERICREADDOC') ?>
				</a>
			</p>
		</div>

		<p>
			<?= Text::_('COM_ATS_SCHEDULINGINFO_LBL_GENERICUSECLI') ?>
			<br/>
			<code>
				<?= $this->escape($this->cronInfo->info->php_path); ?>
				<?= $this->escape($this->cronInfo->cli->path); ?>
			</code>
		</p>

		<div class="alert alert-warning">
			<h4 class="alert-header">
				<?= Text::_('COM_ATS_SCHEDULINGINFO_LBL_GENERIC_IMPORTANT') ?>
			</h4>
			<p>
				<?= Text::sprintf('COM_ATS_SCHEDULINGINFO_LBL_CLIGENERICINFO', $this->cronInfo->info->php_path) ?>
			</p>
		</div>

		<?= $this->loadTemplate('clinote') ?>
	</div>
</div>