<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2023 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

defined('_JEXEC') or die;

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;

/** @var \Akeeba\Component\ATS\Administrator\View\Scheduling\HtmlView $this */

?>
<h3>
	<?= Text::_('COM_ATS_SCHEDULINGINGO_LBL_PLUGINS_HEAD') ?>
</h3>

<p>
	<?= Text::_('COM_ATS_SCHEDULINGINGO_LBL_PLUGINS_INFO') ?>
</p>

<table class="table table-striped w-100">
	<thead>
	<tr>
		<th scope="col">
			Plugin
		</th>
		<th scope="col" class="w-10">
			Command
		</th>
		<th scope="col" class="w-15">
			Published
		</th>
	</tr>
	</thead>
	<tbody>
	<?php foreach($this->getModel()->getAtsCronPlugins() as $pluginName => $info): ?>
	<tr>
		<td>
			<p>
				<strong><?= $this->escape($info['name']) ?></strong>
			</p>
			<p class="text-muted">
				<?= $this->escape($info['description']) ?>
			</p>
		</td>
		<td>
			<code><?= $this->escape($info['command']) ?></code>
		</td>
		<td>
			<?php if ($info['published'] && $info['public']): ?>
			<?php if ($info['cronEnabled']): ?>
			<p>
				<span class="badge bg-success">
					<?= Text::_('JYES') ?>
				</span>
			</p>
			<?php else: ?>
			<p>
				<span class="badge bg-warning">
					<?= Text::_('COM_ATS_SCHEDULINGINGO_LBL_PLUGINS_CRON_DISABLED') ?>
				</span>
			</p>

			<p>
				<a href="index.php?option=com_ats&view=SchedulingInfo&task=fixPlugin&plugin=<?= urlencode($pluginName) ?>"
				   class="btn btn-sm btn-outline-primary w-100">
					<span class="fa fa-wrench" aria-hidden="true"></span>
					<?= Text::_('COM_ATS_SCHEDULINGINGO_BTN_PLUGINS_FIX') ?>
				</a>
			</p>
			<?php endif ?>
			<?php elseif($info['published']): ?>
			<p>
				<span class="badge bg-warnings">
					<?= Text::_('COM_ATS_SCHEDULINGINGO_LBL_PLUGINS_NOT_PUBLIC') ?>
				</span>
			</p>

			<p>
				<a href="index.php?option=com_ats&view=SchedulingInfo&task=fixPlugin&plugin=<?= urlencode($pluginName) ?>"
				   class="btn btn-sm btn-outline-primary w-100">
					<span class="fa fa-wrench" aria-hidden="true"></span>
					<?= Text::_('COM_ATS_SCHEDULINGINGO_BTN_PLUGINS_FIX') ?>
				</a>
			</p>
			<?php else: ?>
			<p>
				<span class="badge bg-danger">
					<?= Text::_('COM_ATS_SCHEDULINGINGO_LBL_PLUGINS_UNPUBLISHED') ?>
				</span>
			</p>

			<p>
				<a href="index.php?option=com_ats&view=SchedulingInfo&task=fixPlugin&plugin=<?= urlencode($pluginName) ?>"
				   class="btn btn-sm btn-outline-primary w-100">
					<span class="fa fa-wrench" aria-hidden="true"></span>
					<?= Text::_('COM_ATS_SCHEDULINGINGO_BTN_PLUGINS_FIX') ?>
				</a>
			</p>
			<?php endif ?>
		</td>
	</tr>
	<?php endforeach ?>
	</tbody>
</table>