/**
 * @package   ats
 * @copyright Copyright (c)2011-2023 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

"use strict";

function ats_mailfetch_gmail_authenticate()
{
    var clientId    = document.getElementById("jform_params_gmail_client_id").value;
    var apiSecret   = document.getElementById("jform_params_gmail_api_secret").value;
    var token       = Joomla.getOptions("csrf.token");
    var systemPaths = Joomla.getOptions("system.paths");
    var url         = (systemPaths ? systemPaths.root : window.location.pathname) +
        "index.php?option=com_ats&view=authenticate&task=consent&service=gmail&tmpl=component" +
        "&client_id=" + encodeURIComponent(clientId) +
        "&api_secret=" + encodeURIComponent(apiSecret) +
        "&" + encodeURIComponent(token) + "=1";
    window.open(url, "ats_mailfetch_auth_window", "width=1010, height=500");
}

function ats_mailfetch_token_callback(data)
{
    document.getElementById('jform_params_access_token').value  = data.access_token;
    document.getElementById('jform_params_refresh_token').value = data.refresh_token;

    var myWindow = window.open("", "ats_mailfetch_auth_window");
    myWindow.close();
}

// Handle the ticket status dropdown
[].slice.call(document.querySelectorAll(".plgAtsMailFetchGmailButton")).forEach(function (elButton)
{
    elButton.addEventListener("click", function (event)
    {
        event.preventDefault();

        ats_mailfetch_gmail_authenticate();

        return false;
    });
});