<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2023 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

namespace Joomla\Plugin\Ats\Mailfetch\Field;

defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Form\FormField;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Plugin\PluginHelper;
use Joomla\CMS\WebAsset\WebAssetManager;

/**
 * @package   ats
 * @copyright Copyright (c)2011-2021 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */
class MicrosoftloginField extends FormField
{
	public function getInput()
	{
		/** @var WebAssetManager $wam */
		$wam = Factory::getApplication()->getDocument()->getWebAssetManager();
		// We need to manually register the file because the field is called from com_plugins, not the plugin itself!
		$wam->getRegistry()->addExtensionRegistryFile('plg_ats_mailfetch');
		$wam->useScript('plg_ats_mailfetch.microsoft');

		$disabled = '';

		if (!PluginHelper::isEnabled('ats', 'mailfetch'))
		{
			$disabled = 'disabled="disabled"';
		}

		$label = Text::_('PLG_ATS_MAILFETCH_CONFIGEMAIL_MICROSOFT_AUTHENTICATION_LABEL');

		$html = <<< HTML
<button type="button" class="plgAtsMailFetchMicrosoftButton btn btn-primary" $disabled>$label</button>
HTML;

		return $html;
	}
}